summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2017-06-19 16:07:22 (GMT)
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-08-08 08:18:56 (GMT)
commit88a75b90a345b7f293f6eecc2ec94f343a29032a (patch)
treefbf4f4af5945c88689df1b83662e03c77a5af38e
parent925fe77c088328362bc3bc5c75a53fed6c2fd292 (diff)
downloadmajor-88a75b90a345b7f293f6eecc2ec94f343a29032a.zip
major-88a75b90a345b7f293f6eecc2ec94f343a29032a.tar.gz
major-88a75b90a345b7f293f6eecc2ec94f343a29032a.tar.bz2
Show smoke test output during execution not afterrefs/changes/13/181813/1
Change-Id: Id102c0f749ba2a52d2f1561784be8b49c5254f2b
-rwxr-xr-xtct/minnow_run.sh2
-rwxr-xr-xtct/odroid_run.sh2
-rwxr-xr-xtct/rpi3_run.sh2
-rwxr-xr-xtct/run/run.sh6
4 files changed, 3 insertions, 9 deletions
diff --git a/tct/minnow_run.sh b/tct/minnow_run.sh
index f17ff05..cd66a78 100755
--- a/tct/minnow_run.sh
+++ b/tct/minnow_run.sh
@@ -48,8 +48,6 @@ printf "\n"
copy_ssh "${IP}" "${TESTLAB_SCRIPTS}/run/smoke_tests.sh"
run_smoke_ssh "${IP}"
-cat sysctl.result
-
echo "### run ###"
if [ -f "common_test.yaml" ]
diff --git a/tct/odroid_run.sh b/tct/odroid_run.sh
index 3d08a47..7065fda 100755
--- a/tct/odroid_run.sh
+++ b/tct/odroid_run.sh
@@ -70,8 +70,6 @@ then
sdb -s "${SDMUX}" shell mount -o ro,remount /
fi
-cat sysctl.result
-
if [ -f "common_test.yaml" ]
then
run_avocado_sdb "${SDMUX}" "avocado-results" "common_test.yaml"
diff --git a/tct/rpi3_run.sh b/tct/rpi3_run.sh
index e095f2f..01bb269 100755
--- a/tct/rpi3_run.sh
+++ b/tct/rpi3_run.sh
@@ -50,8 +50,6 @@ echo "### run ###"
copy_sdb "${IP}" "${TESTLAB_SCRIPTS}/run/smoke_tests.sh"
run_smoke_sdb "${IP}"
-cat sysctl.result
-
if [ -f "common_test.yaml" ]
then
run_avocado_sdb "${IP}" "avocado-results" "common_test.yaml"
diff --git a/tct/run/run.sh b/tct/run/run.sh
index e1aa68c..6cccc85 100755
--- a/tct/run/run.sh
+++ b/tct/run/run.sh
@@ -82,7 +82,7 @@ run_smoke_ssh() {
test -n "${IP}" || die "Missing argument: ip"
COUNT=1
while ! timeout 60 sshpass -p 'tizen' ssh -F "${TESTLAB_SCRIPTS}/conf/ssh_config" \
- "root@${IP}" sh "/tmp/smoke.sh" > sysctl.result
+ "root@${IP}" sh "/tmp/smoke.sh" | tee sysctl.result
do
echo "SSH connection to ${IP} failed: retrying" >&2
if [ ${COUNT} -ge 6 ]
@@ -96,7 +96,7 @@ run_smoke_ssh() {
run_smoke_sdb() {
ID="$1"
test -n "${ID}" || die "Missing argument: id"
- sdb -s "${ID}" shell sh "/tmp/smoke.sh" > sysctl.result
+ sdb -s "${ID}" shell sh "/tmp/smoke.sh" | tee sysctl.result
SLEEP=10
while ! grep -q "FINISH_SUCCESS" sysctl.result
do
@@ -108,7 +108,7 @@ run_smoke_sdb() {
then
die "Timeout: sdb connection failed!"
fi
- sdb -s "${ID}" shell sh "/tmp/smoke.sh" > sysctl.result
+ sdb -s "${ID}" shell sh "/tmp/smoke.sh" | tee sysctl.result
SLEEP=$((SLEEP+10))
done
}